METASOURCES = AUTO

check_PROGRAMS = runscripts locking

runscripts_SOURCES = script.cpp runscripts.cpp
runscripts_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
runscripts_LDADD = $(LIB_TQT) $(LIB_TDECORE)

locking_SOURCES = locking.cpp lockerthread.cpp
locking_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
locking_LDADD = $(LIB_TQT) $(top_builddir)/libkcal/libkcal.la

KDE_CXXFLAGS = $(USE_EXCEPTIONS)

INCLUDES = -I$(srcdir) -I$(top_srcdir) -I$(top_srcdir)/libkcal $(all_includes)

#TESTS = runscripts locking
TESTS = locking
